package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkOrderImageDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface XhpcWorkOrderImageMapper {

    List<XhpcWorkOrderImageDomain> selectByOrderIdAndType(@Param("orderId") Long orderId, @Param("type") Integer type);

    List<Long> selectImageIdByOrderIdAndType(@Param("orderId") Long orderId, @Param("type") Integer type);

    int deleteByImageIds(@Param("imageIds") List<Long> imageIds);

    int deleteByPrimaryKey(Long orderImageId);

    int insert(XhpcWorkOrderImageDomain record);

    int insertSelective(XhpcWorkOrderImageDomain record);

    XhpcWorkOrderImageDomain selectByPrimaryKey(Long orderImageId);

    int updateByPrimaryKeySelective(XhpcWorkOrderImageDomain record);

    int updateByPrimaryKey(XhpcWorkOrderImageDomain record);
}